import Navbar from '@/views/layout/Navbar'
import { Footer, FooterColumn } from '@/views/layout/Footer'
import { useEffect } from 'react';

export function Layout({ children }) {

  useEffect(() => {
    document.body.classList.add("absolute");
    document.body.classList.add("lg:relative");
  });

  return (
    <>
      {/* <Navbar
        logo={{
          img: '/img/fitko-logo.svg',
          alt: 'Föderale Entwicklungsportal',
        }}
      /> */}
      <main className="lg:py-10">{children}</main>
      <Footer logo={{
          img: '/img/fitko-main-logo.svg',
          alt: 'Föderale Entwicklungsportal',
      }} copyright={'FITKO'}>
          <FooterColumn title={'Rechtliches'} links={[
              {label: 'Impressum', href: 'https://www.fitko.de/impressum' },
              {label: 'Datenschutz', href: 'https://www.fitko.de/datenschutz' },
              {label: 'Barrierefreiheit', href: 'https://www.fitko.de/barrierefreiheitserklaerung' },
          ]}/>
          <FooterColumn title={''} links={[
            {label: '', href: '/' },
        ]}/>
      </Footer>
    </>
  )
}
